import * as React from 'react';
const IconTestTube = ({
  size,
  color = 'currentColor',
  ...props
}: { size?: number; color?: string } & React.SVGProps<any>) => (
  <svg
    xmlns="http://www.w3.org/2000/svg"
    width={size || 23}
    height={size || 26}
    fill="none"
    {...props}
  >
    <path
      d="M21.0039 6C21.0039 6.55228 20.5562 7 20.0039 7C19.4516 7 19.0039 6.55228 19.0039 6C19.0039 5.44772 19.4516 5 20.0039 5C20.5562 5 21.0039 5.44772 21.0039 6Z"
      fill={color}
    />
    <path
      d="M20.0039 2.5C20.0039 3.32843 19.3323 4 18.5039 4C17.6755 4 17.0039 3.32843 17.0039 2.5C17.0039 1.67157 17.6755 1 18.5039 1C19.3323 1 20.0039 1.67157 20.0039 2.5Z"
      fill={color}
    />
    <path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M12.2915 3.29427C12.6813 2.90299 13.3145 2.90176 13.7057 3.29152L14.711 4.29289L19.7124 9.29427L20.7085 10.2943C21.0982 10.6856 21.097 11.3187 20.7057 11.7085C20.3144 12.0982 19.6813 12.097 19.2915 11.7057L19.0024 11.4155L16.7362 13.681C16.7197 13.6988 16.7024 13.716 16.6846 13.7326L9.70698 20.708C7.93567 22.4788 5.06431 22.4785 3.29327 20.7075C1.52184 18.9361 1.52207 16.0639 3.29377 14.2928L12.5882 5.00126L12.2943 4.70848C11.903 4.31871 11.9018 3.68555 12.2915 3.29427ZM14.0038 6.4141L8.41614 12H15.5888L17.5896 9.99989L14.0038 6.4141Z"
      fill={color}
    />
  </svg>
);
export default IconTestTube;
